<?php
namespace SabaiApps\Directories\Component\Payment;

interface IPlan {

	public function paymentPlanId();
	public function paymentPlanName();
	public function paymentPlanComponent();
	public function paymentPlanType();
	public function paymentPlanTitle();
	public function paymentPlanDescription();
	public function paymentPlanFeatureList();
	public function paymentPlanEntityLevel();
	public function paymentPlanFeatures();
	public function paymentPlanIsFeatured();
	public function paymentPlanPrice();
	public function paymentPlanIsPurchasable();
	/**
	 * @return string
	 */
	public function paymentPlanInterval();

	/**
	 * @return int
	 */
	public function paymentPlanIntervalCount();
}
